Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.util
Class asl2dot

    java.lang.Object
      jason.util.asl2xml
          jason.util.asl2dot

    public class asl2dot

extends asl2xml

Convert an agent asl code to dot (http://www.graphviz.org/) -- used to produce the graph of goals.

Field Summary

Fields inherited from class jason.util.asl2xml
`transCache`

Constructor Summary
`asl2dot()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `transform(Agent ag)`

Methods inherited from class jason.util.asl2xml
`getTransformer, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### asl2dot

    public asl2dot()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### transform

    public java.lang.String transform(Agent ag)
                               throws java.lang.Exception

  Overrides:
    `transform` in class `asl2xml`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD